#include <iostream>
#include <fstream>
#include <math.h>
using namespace std;
int main()
{
    ifstream x("tamgiac.inp");
    ofstream y("tamgiac.out");
    double a,b;
    x >> a >> b;
    x.close();
    if (a > b)
    {
        y << sqrt((a*a)-(b*b));
    }
    else
    {
        y << sqrt((b*b)-(a*a));
    }
    y.close();
    return 0;
}
